## gmime-iconv-utils

gmime-iconv-utils — High-level routines for converting text from one charset to another

## Functions

char * | g_mime_iconv_strdup ()
char * | g_mime_iconv_strndup ()
char * | g_mime_iconv_utf8_to_locale ()
char * | g_mime_iconv_utf8_to_locale_length ()
char * | g_mime_iconv_locale_to_utf8 ()
char * | g_mime_iconv_locale_to_utf8_length ()

## Description

Charset conversion utility functions.

## Functions

### g_mime_iconv_strdup ()

    char *
    g_mime_iconv_strdup (iconv_t cd,
                         const char *str);

Allocates a new string buffer containing `str` converted to the destination charset described in `cd` .

[skip]

#### Parameters

cd | conversion descriptor |
str | string in source charset |

#### Returns

a new string buffer containing the original string converted to the new charset.

### g_mime_iconv_strndup ()

    char *
    g_mime_iconv_strndup (iconv_t cd,
                          const char *str,
                          size_t n);

Allocates a new string buffer containing the first `n` bytes of `str` converted to the destination charset as described by the conversion descriptor `cd` .

[skip]

#### Parameters

cd | conversion descriptor |
str | string in source charset |
n | number of bytes to convert |

#### Returns

a new string buffer containing the first `n` bytes of `str` converted to the destination charset as described by the conversion descriptor `cd` .

### g_mime_iconv_utf8_to_locale ()

    char *
    g_mime_iconv_utf8_to_locale (const char *str);

Allocates a new string buffer containing `str` converted to the user's locale charset.

#### Parameters

str | string in UTF-8 charset |

#### Returns

a new string buffer containing `str` converted to the user's locale charset.

### g_mime_iconv_utf8_to_locale_length ()

    char *
    g_mime_iconv_utf8_to_locale_length (const char *str,
                                        size_t n);

Allocates a new string buffer containing the first `n` bytes of `str` converted to the user's locale charset.

#### Parameters

str | string in UTF-8 charset |
n | number of bytes to convert |

#### Returns

a new string buffer containing the first `n` bytes of `str` converted to the user's locale charset.

### g_mime_iconv_locale_to_utf8 ()

    char *
    g_mime_iconv_locale_to_utf8 (const char *str);

Allocates a new string buffer containing `str` in UTF-8.

#### Parameters

str | string in locale charset |

#### Returns

a new string buffer containing `str` converted to UTF-8.

### g_mime_iconv_locale_to_utf8_length ()

    char *
    g_mime_iconv_locale_to_utf8_length (const char *str,
                                        size_t n);

Allocates a new string buffer containing the first `n` bytes of `str` converted to UTF-8.

#### Parameters

str | string in locale charset |
n | number of bytes to convert |

#### Returns

a new string buffer containing the first `n` bytes of `str` converted to UTF-8.